Package org.opensaml.soap.wsaddressing

# Class WSAddressingConstants

java.lang.Object
org.opensaml.soap.wsaddressing.WSAddressingConstants

public final class WSAddressingConstants extends Object
WS-Addressing 1.0 constants.

See Also:
  - "WS-Addressing 1.0 - Core"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION_URI_FAULT`
WS-Addressing Action URI for messages carrying WS-Addressing Faults ONLY.
`static final String`
`ACTION_URI_SOAP_FAULT`
WS-Addressing Action URI for messages carrying non-WS-Addressing Faults.
`static final QName`
`SOAP_FAULT_ACTION_MISMATCH`
WS-Addressing SOAP fault code: "wsa:ActionMismatch".
`static final QName`
`SOAP_FAULT_ACTION_NOT_SUPPORTED`
WS-Addressing SOAP fault code: "wsa:ActionNotSupported".
`static final QName`
`SOAP_FAULT_DESTINATION_UNREACHABLE`
WS-Addressing SOAP fault code: "wsa:DestinationUnreachable".
`static final QName`
`SOAP_FAULT_DUPLICATE_MESSAGE_ID`
WS-Addressing SOAP fault code: "wsa:DuplicateMessageID".
`static final QName`
`SOAP_FAULT_ENDPOINT_UNAVAILABLE`
WS-Addressing SOAP fault code: "wsa:EndpointUnavailable".
`static final QName`
`SOAP_FAULT_INVALID_ADDRESS`
WS-Addressing SOAP fault code: "wsa:InvalidAddress".
`static final QName`
`SOAP_FAULT_INVALID_ADDRESSING_HEADER`
WS-Addressing SOAP fault code: "wsa:InvalidAddressingHeader".
`static final QName`
`SOAP_FAULT_INVALID_CARDINALITY`
WS-Addressing SOAP fault code: "wsa:InvalidCardinality".
`static final QName`
`SOAP_FAULT_INVALID_EPR`
WS-Addressing SOAP fault code: "wsa:InvalidEPR".
`static final QName`
`SOAP_FAULT_MESSAGE_ADDRESSING_HEADER_REQUIRED`
WS-Addressing SOAP fault code: "wsa:MessageAddressingHeaderRequired".
`static final QName`
`SOAP_FAULT_MISSING_ADDRESS_IN_EPR`
WS-Addressing SOAP fault code: "wsa:MissingAddressInEPR".
`static final Set<QName>`
`WS_ADDRESSING_FAULTS`
Set of all WS-Addressing SOAP fault codes.
`static final String`
`WSA_NS`
WS-Addressing 1.0 namespace.
`static final String`
`WSA_PREFIX`
WS-Addressing prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`WSAddressingConstants()`
Prevent instantiation.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WSA_NS

@Nonnull @NotEmpty public static final String WSA_NS
WS-Addressing 1.0 namespace.

See Also:
  - Constant Field Values

### WSA_PREFIX

@Nonnull @NotEmpty public static final String WSA_PREFIX
WS-Addressing prefix.

See Also:
  - Constant Field Values

### SOAP_FAULT_INVALID_ADDRESSING_HEADER

@Nonnull public static final QName SOAP_FAULT_INVALID_ADDRESSING_HEADER
WS-Addressing SOAP fault code: "wsa:InvalidAddressingHeader".

### SOAP_FAULT_INVALID_ADDRESS

@Nonnull public static final QName SOAP_FAULT_INVALID_ADDRESS
WS-Addressing SOAP fault code: "wsa:InvalidAddress".

### SOAP_FAULT_INVALID_EPR

@Nonnull public static final QName SOAP_FAULT_INVALID_EPR
WS-Addressing SOAP fault code: "wsa:InvalidEPR".

### SOAP_FAULT_INVALID_CARDINALITY

@Nonnull public static final QName SOAP_FAULT_INVALID_CARDINALITY
WS-Addressing SOAP fault code: "wsa:InvalidCardinality".

### SOAP_FAULT_MISSING_ADDRESS_IN_EPR

@Nonnull public static final QName SOAP_FAULT_MISSING_ADDRESS_IN_EPR
WS-Addressing SOAP fault code: "wsa:MissingAddressInEPR".

### SOAP_FAULT_DUPLICATE_MESSAGE_ID

@Nonnull public static final QName SOAP_FAULT_DUPLICATE_MESSAGE_ID
WS-Addressing SOAP fault code: "wsa:DuplicateMessageID".

### SOAP_FAULT_ACTION_MISMATCH

@Nonnull public static final QName SOAP_FAULT_ACTION_MISMATCH
WS-Addressing SOAP fault code: "wsa:ActionMismatch".

### SOAP_FAULT_MESSAGE_ADDRESSING_HEADER_REQUIRED

@Nonnull public static final QName SOAP_FAULT_MESSAGE_ADDRESSING_HEADER_REQUIRED
WS-Addressing SOAP fault code: "wsa:MessageAddressingHeaderRequired".

### SOAP_FAULT_DESTINATION_UNREACHABLE

@Nonnull public static final QName SOAP_FAULT_DESTINATION_UNREACHABLE
WS-Addressing SOAP fault code: "wsa:DestinationUnreachable".

### SOAP_FAULT_ACTION_NOT_SUPPORTED

@Nonnull public static final QName SOAP_FAULT_ACTION_NOT_SUPPORTED
WS-Addressing SOAP fault code: "wsa:ActionNotSupported".

### SOAP_FAULT_ENDPOINT_UNAVAILABLE

@Nonnull public static final QName SOAP_FAULT_ENDPOINT_UNAVAILABLE
WS-Addressing SOAP fault code: "wsa:EndpointUnavailable".

### WS_ADDRESSING_FAULTS

@Nonnull public static final Set<QName> WS_ADDRESSING_FAULTS
Set of all WS-Addressing SOAP fault codes.

### ACTION_URI_FAULT

@Nonnull @NotEmpty public static final String ACTION_URI_FAULT
WS-Addressing Action URI for messages carrying WS-Addressing Faults ONLY.

See Also:
  - Constant Field Values

### ACTION_URI_SOAP_FAULT

@Nonnull @NotEmpty public static final String ACTION_URI_SOAP_FAULT
WS-Addressing Action URI for messages carrying non-WS-Addressing Faults.

See Also:
  - Constant Field Values

## Constructor Details

### WSAddressingConstants

private WSAddressingConstants()
Prevent instantiation.